#!/bin/bash

. ./config.sh

url=$MYSQL_URL
username=$MYSQL_USER
password=$MYSQL_PASSWORD

## 无分区
collect_data_np() {
sqoop import -D mapred.job.queue.name=hive  \
--connect $1 \
--username $2 \
--password $3 \
--target-dir /warehouse/saga_dw/ods/$2  \
--delete-target-dir \
--query "$5 and \$CONDITIONS" \
--num-mappers 1 \
--hive-drop-import-delims \
--fields-terminated-by '\001' \
--compress \
--compression-codec lzo \
--hive-import \
--hive-database saga_dw \
--hive-table $4 \
--hive-overwrite \
--null-string '\\N' \
--null-non-string '\\N'
}